
Redmine - Defect #7158

Issues Custom fields not in json

2010-12-22 10:12 - Dimitri Sapunou

Status: Closed Start date: 2010-12-22

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.50 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

In XML everything ok.

<issues type="array">

    <issue>

        <id>3</id>

        <project name="c4" id="1"/>

        <tracker name="Unterstützung" id="3"/>

        <status name="Neu" id="1"/>

        <priority name="Dringend" id="6"/>

        <author name="User Name Admin" id="1"/>

        <assigned_to name="User Name Admin" id="1"/>

        <subject>test uuid</subject>

        <description/>

        <start_date>2010-12-24</start_date>

        <due_date>2010-12-30</due_date>

        <done_ratio>0</done_ratio>

        <estimated_hours>24.0</estimated_hours>

        <custom_fields>

            <custom_field name="issues_uuid" id="3">f0df939d-65a7-bf84-71e9-fdb54373ecfc</custom_f

ield>

        </custom_fields>

        <created_on>Wed Dec 22 09:39:04 +0100 2010</created_on>

        <updated_on>Wed Dec 22 09:49:54 +0100 2010</updated_on>

    </issue>

</issue>

 In JSON missing custom field: issues_uuid.

[{"start_date":"2010/12/24",

"estimated_hours":24.0,

"priority_id":6,

"created_on":"2010/12/22 09:39:04 +0100",

"project_id":1,

"root_id":3,

"lock_version":1,

"lft":1,

"fixed_version_id":null,

"updated_on":"2010/12/22 09:49:54 +0100",

"subject":"test uuid",

"id":3,

"done_ratio":0,

"assigned_to_id":1,

"tracker_id":3,

"category_id":null,

"parent_id":null,

"due_date":"2010/12/30",

"status_id":1,

"description":"",

"author_id":1,
"rgt":2}]

Related issues:

Is duplicate of Redmine - Defect #6136: JSON API holds less information than ... Closed 2010-08-13

History

#1 - 2010-12-22 21:25 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

Same as #6136.
